unit utemplatemanager;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, ExtCtrls;

type

  { TFmTemplateManager }
  
  TClassHeader = class(TObject)
  public
    FFileName : string;
    FMacroName: string;
    FTemplate : string;
  end; // of TClassHeader
  
  TMethodHeader = class(TObject)
  public
    FFileName : string;
    FMacroName: string;
    FTemplate : string;
  end; // of TMethodHeader

  TFmTemplateManager = class(TForm)
    btnClassHeaderPreview: TButton;
    btnMethodHeaderPreview: TButton;
    btnCancel: TButton;
    btnCreate: TButton;
    btnTemplateAddMacro: TButton;
    btnTemplateReset: TButton;
    btnTemplatePreview: TButton;
    cbClassHeaders: TComboBox;
    cbMethodHeaders: TComboBox;
    cbUserName: TComboBox;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    edClassName: TEdit;
    edMethodName: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    GroupBox5: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    lbTemplateIdent: TLabel;
    lbTemplateIdent1: TLabel;
    lbUnitName: TLabel;
    memTeplateEdit: TMemo;
    Panel1: TPanel;
    Panel2: TPanel;
  private
    { private declarations }
    FClassHeaders : TList;
    FMethodHeaders: TList;
    FClassMode : boolean;
    FUnitName  : string;
    FUserName  : string;
    FClassName : string;
    FMethodName: string;
    procedure LoadClassHeaders;
    procedure LoadMethodHeaders;
    function ParseTemplate(ATemplate: string): string;
    function ParseClassHeader(AHeader: string): string;
    function ParseMethodHeader(AHeader: string): string;
  public
    { public declarations }
    constructor Create(AOwner: TComponent;
                       AParams, ATemplate: string);
  end; 

var
  FmTemplateManager: TFmTemplateManager;

implementation

{ TFmTemplateManager }

procedure TFmTemplateManager.LoadClassHeaders;
begin
  //
end;

procedure TFmTemplateManager.LoadMethodHeaders;
begin
  //
end;

function TFmTemplateManager.ParseTemplate(ATemplate: string): string;
begin
  //
end;

function TFmTemplateManager.ParseClassHeader(AHeader: string): string;
begin
  //
end;

function TFmTemplateManager.ParseMethodHeader(AHeader: string): string;
begin
  //
end;

constructor TFmTemplateManager.Create(AOwner: TComponent; AParams,
  ATemplate: string);
begin
  inherited Create(AOwner);
end;

initialization
  {$I utemplatemanager.lrs}

end.

